# HierarchyWizardModelIntervals (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelIntervals<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract<T>
  - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping<T>
    - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelIntervals<T>

- Type Parameters:
    `T` -

      public class HierarchyWizardModelIntervals<T>
      extends HierarchyWizardModelGrouping<T>

  A model for interval-based builders.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping

      `HierarchyWizardModelGrouping.HierarchyWizardGroupingGroup<U>, HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<U>, HierarchyWizardModelGrouping.HierarchyWizardGroupingRange<U>`

  - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract

      `data, error, groupsizes, hierarchy, view, visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardModelIntervals(DataType<T> dataType, java.lang.String[] data)` Constructor to create an initial definition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `build()` Implement this to run the builder.
    `HierarchyBuilderIntervalBased<T>` | `getBuilder(boolean serializable)` Returns the builder currently configured.
    `void` | `parse(HierarchyBuilder<T> builder)` Parses a builder and updates the model accordingly.

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping

      `addAfter, addBefore, addGroups, addInterval, addRight, getDataType, getDefaultFunction, getIntervals, getLowerRange, getModelGroups, getRenderer, getSelectedElement, getUpperRange, isFirst, isLast, isShowIntervals, mergeDown, mergeUp, parse, parse, register, remove, setDefaultFunction, setSelectedElement, update, update, updateUI`

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract

      `getData, getError, getGroups, getHierarchy, setView, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchyWizardModelIntervals

          public HierarchyWizardModelIntervals(DataType<T> dataType,
                                       java.lang.String[] data)

      Constructor to create an initial definition.
      Parameters:
        `dataType` -
        `data` -

  - ### Method Detail

    - #### getBuilder

          public HierarchyBuilderIntervalBased<T> getBuilder(boolean serializable)
                                                      throws java.lang.Exception

      Description copied from class: `HierarchyWizardModelAbstract`
      Returns the builder currently configured.
      Specified by:
        `getBuilder` in class `HierarchyWizardModelAbstract<T>`
      Returns:
      Throws:
        `java.lang.Exception`

    - #### parse

          public void parse(HierarchyBuilder<T> builder)
                     throws java.lang.IllegalArgumentException

      Description copied from class: `HierarchyWizardModelAbstract`
      Parses a builder and updates the model accordingly.
      Specified by:
        `parse` in class `HierarchyWizardModelAbstract<T>`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### build

          protected void build()

      Description copied from class: `HierarchyWizardModelAbstract`
      Implement this to run the builder.
      Specified by:
        `build` in class `HierarchyWizardModelAbstract<T>`